GNU bug report logs - #37837
[PATCH] Make sb-image.el obsolete

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Stefan Kangas <stefan@HIDDEN>; Keywords: patch; dated Sun, 20 Oct 2019 20:29:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 37837 <at> debbugs.gnu.org:


Received: (at 37837) by debbugs.gnu.org; 17 Nov 2019 09:57:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 17 04:57:40 2019
Received: from localhost ([127.0.0.1]:40358 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iWHJM-0001Hy-NH
	for submit <at> debbugs.gnu.org; Sun, 17 Nov 2019 04:57:40 -0500
Received: from quimby.gnus.org ([95.216.78.240]:45764)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iWHJL-0001Hl-K9
 for 37837 <at> debbugs.gnu.org; Sun, 17 Nov 2019 04:57:40 -0500
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1iWHJC-0005Xn-Bl; Sun, 17 Nov 2019 10:57:32 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#37837: [PATCH] Make sb-image.el obsolete
References: <CADwFkm=G_YT07NZSoN6W00_LRDLWQqRcvzSyDz30CujMo6ep0g@HIDDEN>
 <83d0eq4nrb.fsf@HIDDEN>
 <CADwFkm=Y5dx4Mcu5dvj0=hR0HwMgiFL+3p8LwrDpG0+tqWgaaA@HIDDEN>
Date: Sun, 17 Nov 2019 10:57:29 +0100
In-Reply-To: <CADwFkm=Y5dx4Mcu5dvj0=hR0HwMgiFL+3p8LwrDpG0+tqWgaaA@HIDDEN>
 (Stefan Kangas's message of "Sat, 2 Nov 2019 04:21:27 +0100")
Message-ID: <878soe965y.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Stefan Kangas <stefan@HIDDEN> writes: > I'm not aware
 of any general requirement to maintain backwards > compatibility with ancient
 Emacs versions on master. For example, we > have dropped all compatibility
 function and variable aliases. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ingebrigtsen.no]
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37837
Cc: Eli Zaretskii <eliz@HIDDEN>, 37837 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stefan Kangas <stefan@HIDDEN> writes:

> I'm not aware of any general requirement to maintain backwards
> compatibility with ancient Emacs versions on master.  For example, we
> have dropped all compatibility function and variable aliases.

We routinely drop support for old versions of Emacs from the .el files
in Emacs -- there's no point in carrying around dead weight.

So I think the patch looks good to me.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37837; Package emacs. Full text available.

Message received at 37837 <at> debbugs.gnu.org:


Received: (at 37837) by debbugs.gnu.org; 2 Nov 2019 03:21:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 01 23:21:46 2019
Received: from localhost ([127.0.0.1]:57913 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iQjz0-0002Gu-F6
	for submit <at> debbugs.gnu.org; Fri, 01 Nov 2019 23:21:46 -0400
Received: from mail-pf1-f195.google.com ([209.85.210.195]:45788)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1iQjyy-0002Gh-GO
 for 37837 <at> debbugs.gnu.org; Fri, 01 Nov 2019 23:21:45 -0400
Received: by mail-pf1-f195.google.com with SMTP id z4so2242036pfn.12
 for <37837 <at> debbugs.gnu.org>; Fri, 01 Nov 2019 20:21:44 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=V8Zu8HKD8AWqJJqgYy4HtNHa703uZt5bFrvyEIZLZ1M=;
 b=U9N4/zdPxWmmIhv6rcwD0k2+gATF84nuczEpYcM9cX8/K47Bm+/i8x8GVr1nciQ5eE
 /Xv5kk+mh0Uo9VyMBhIBXjKSpnNr+zt1Ckcq7sWzd7JZ6DSskVppAlOmorVHEv2as38h
 dhfTmBpVgrwZUjOWLm5YCEUnIboe4lHgT8p0RisZFqEIrQn8NKsyO3lAF0C++Fthmmx5
 NtmPIOBYTUBl9xVUTXKE5mMfn3+Ky1HKPjvKXnIqjJlLnC04yF8qGrQLgEUtaKBGd6rF
 8OkxR4k62gw5l3zmgmyIBuQDP1Kt5FzL5lm9/+WjiCFOlcqF11iw8Urm8QAvk2UwGCu3
 fd5A==
X-Gm-Message-State: APjAAAUDq7I9Dzdmebmm/oJfv62kWPzgFG6qVrcyxCz6aLY/egzITk4l
 hdkU3r7eSup51eOUpL1U1fQivfgjE9qUBKpe6XU=
X-Google-Smtp-Source: APXvYqydfIltKBXi+CJKuzkZniKDCfNPQfPFHprn31HhKn1s6PffvK91XYE0370WYk8j/V2FwskdR+K+fpcF2Ffnc9g=
X-Received: by 2002:a63:a05c:: with SMTP id u28mr18048491pgn.333.1572664898472; 
 Fri, 01 Nov 2019 20:21:38 -0700 (PDT)
MIME-Version: 1.0
References: <CADwFkm=G_YT07NZSoN6W00_LRDLWQqRcvzSyDz30CujMo6ep0g@HIDDEN>
 <83d0eq4nrb.fsf@HIDDEN>
In-Reply-To: <83d0eq4nrb.fsf@HIDDEN>
From: Stefan Kangas <stefan@HIDDEN>
Date: Sat, 2 Nov 2019 04:21:27 +0100
Message-ID: <CADwFkm=Y5dx4Mcu5dvj0=hR0HwMgiFL+3p8LwrDpG0+tqWgaaA@HIDDEN>
Subject: Re: bug#37837: [PATCH] Make sb-image.el obsolete
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 37837
Cc: 37837 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Eli Zaretskii <eliz@HIDDEN> writes:
>
> > From: Stefan Kangas <stefan@HIDDEN>
> > Date: Sun, 20 Oct 2019 22:28:40 +0200
> >
> > sb-image.el says:
> >
> > ;; Supporting Image display for Emacs 20 and less, Emacs 21, and XEmacs,
> > ;; is a challenging task, which doesn't take kindly to being byte compiled.
> > ;; When sharing speedbar.elc between these three applications, the Image
> > ;; support can get lost.
> > ;;
> > ;; By splitting out that hard part into this file, and avoiding byte
> > ;; compilation, one copy speedbar can support all these platforms together.
> >
> > I suggest to get rid of this compatibility kludge.  Is the attached
> > patch an acceptable way to do that?
>
> Did we decide to drop support of those older Emacs versions?

I'm not aware of any general requirement to maintain backwards
compatibility with ancient Emacs versions on master.  For example, we
have dropped all compatibility function and variable aliases.

Users of Emacs 21 or older should surely just use whatever was shipped
with the version of Emacs that they are using.  Or am I missing
something?

To be clear, this package is not distributed on GNU ELPA as far as I can tell.

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37837; Package emacs. Full text available.

Message received at 37837 <at> debbugs.gnu.org:


Received: (at 37837) by debbugs.gnu.org; 21 Oct 2019 06:27:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 21 02:27:21 2019
Received: from localhost ([127.0.0.1]:55613 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iMRA1-00044I-Gu
	for submit <at> debbugs.gnu.org; Mon, 21 Oct 2019 02:27:21 -0400
Received: from eggs.gnu.org ([209.51.188.92]:33379)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iMR9x-000444-ON
 for 37837 <at> debbugs.gnu.org; Mon, 21 Oct 2019 02:27:20 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:60477)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iMR9s-0004aF-F1; Mon, 21 Oct 2019 02:27:12 -0400
Received: from [176.228.60.248] (port=2598 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iMR9r-0004JO-37; Mon, 21 Oct 2019 02:27:11 -0400
Date: Mon, 21 Oct 2019 09:27:04 +0300
Message-Id: <83d0eq4nrb.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
In-reply-to: <CADwFkm=G_YT07NZSoN6W00_LRDLWQqRcvzSyDz30CujMo6ep0g@HIDDEN>
 (message from Stefan Kangas on Sun, 20 Oct 2019 22:28:40 +0200)
Subject: Re: bug#37837: [PATCH] Make sb-image.el obsolete
References: <CADwFkm=G_YT07NZSoN6W00_LRDLWQqRcvzSyDz30CujMo6ep0g@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37837
Cc: 37837 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Kangas <stefan@HIDDEN>
> Date: Sun, 20 Oct 2019 22:28:40 +0200
> 
> sb-image.el says:
> 
> ;; Supporting Image display for Emacs 20 and less, Emacs 21, and XEmacs,
> ;; is a challenging task, which doesn't take kindly to being byte compiled.
> ;; When sharing speedbar.elc between these three applications, the Image
> ;; support can get lost.
> ;;
> ;; By splitting out that hard part into this file, and avoiding byte
> ;; compilation, one copy speedbar can support all these platforms together.
> 
> I suggest to get rid of this compatibility kludge.  Is the attached
> patch an acceptable way to do that?

Did we decide to drop support of those older Emacs versions?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37837; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Oct 2019 20:28:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 20 16:28:57 2019
Received: from localhost ([127.0.0.1]:55340 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iMHou-0004HX-R2
	for submit <at> debbugs.gnu.org; Sun, 20 Oct 2019 16:28:57 -0400
Received: from lists.gnu.org ([209.51.188.17]:42469)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1iMHot-0004HQ-Rz
 for submit <at> debbugs.gnu.org; Sun, 20 Oct 2019 16:28:56 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:51201)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <stefankangas@HIDDEN>) id 1iMHos-0004JX-Ne
 for bug-gnu-emacs@HIDDEN; Sun, 20 Oct 2019 16:28:55 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 RCVD_IN_DNSWL_NONE autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <stefankangas@HIDDEN>) id 1iMHor-0003E5-Ko
 for bug-gnu-emacs@HIDDEN; Sun, 20 Oct 2019 16:28:54 -0400
Received: from mail-pg1-f177.google.com ([209.85.215.177]:40619)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <stefankangas@HIDDEN>)
 id 1iMHor-0003Do-B8
 for bug-gnu-emacs@HIDDEN; Sun, 20 Oct 2019 16:28:53 -0400
Received: by mail-pg1-f177.google.com with SMTP id 15so1025803pgt.7
 for <bug-gnu-emacs@HIDDEN>; Sun, 20 Oct 2019 13:28:53 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=nlYx4dZQXdF6lX4mVtt33AZS3qntH32VnQKA9TKggU4=;
 b=YsXaP4I/uSKeWttr9AbsXINNJXg8PSLRvORFsGozgPOz3bQ4xrTEP87X7xdglz/qi2
 ZRq17ppWHd5D5OzfMAlLAp6bvJh47LkAThi/uSfDyEZa4TlMszZFDfJqqaPGIw8nxwfn
 2wCli/+oyvmA8CINLaBZ8Y+xr8vNmmXRR0wjdtAJcSNW9bsnXolCcJHTp0REVoBFSZSv
 0AWNdd3R8jSMdrfLAE+gwJvVHdlk5D+CZBew181Q3sNPDTYwHo9thUZBQbmSkyI0EUzo
 LOgJLLSssOOOCUfvg7eP8aN2cO49lC7ZeJOWbeZRT+uCM5IqhoRHIZjpBKWLGbGWQloh
 vC1Q==
X-Gm-Message-State: APjAAAWoI9d+WzoVgwqVnZpLIJIpOruxd1CDjWOJKmiajQGY4kmnni1z
 +fTg9F5eiLbCkt8NW4qeONJjc6qdq4tMmy4vOm1JGZIl
X-Google-Smtp-Source: APXvYqzxF6HNQi30GR6ATMO5rUJvmBJGKdFDdvSDrWguSBpfJ0oeFwnBJz/6besql1zd8gIQe88Y1UD+IkIjTkZw160=
X-Received: by 2002:a63:cd18:: with SMTP id i24mr3941502pgg.333.1571603331678; 
 Sun, 20 Oct 2019 13:28:51 -0700 (PDT)
MIME-Version: 1.0
From: Stefan Kangas <stefan@HIDDEN>
Date: Sun, 20 Oct 2019 22:28:40 +0200
Message-ID: <CADwFkm=G_YT07NZSoN6W00_LRDLWQqRcvzSyDz30CujMo6ep0g@HIDDEN>
Subject: [PATCH] Make sb-image.el obsolete
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/mixed; boundary="000000000000503cf405955d6a1f"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 209.85.215.177
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

--000000000000503cf405955d6a1f
Content-Type: text/plain; charset="UTF-8"

sb-image.el says:

;; Supporting Image display for Emacs 20 and less, Emacs 21, and XEmacs,
;; is a challenging task, which doesn't take kindly to being byte compiled.
;; When sharing speedbar.elc between these three applications, the Image
;; support can get lost.
;;
;; By splitting out that hard part into this file, and avoiding byte
;; compilation, one copy speedbar can support all these platforms together.

I suggest to get rid of this compatibility kludge.  Is the attached
patch an acceptable way to do that?

Best regards,
Stefan Kangas

--000000000000503cf405955d6a1f
Content-Type: application/octet-stream; 
	name="0001-Make-sb-image.el-to-obsolete.patch"
Content-Disposition: attachment; 
	filename="0001-Make-sb-image.el-to-obsolete.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_k1zg0w9v0>
X-Attachment-Id: f_k1zg0w9v0
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--000000000000503cf405955d6a1f--




Acknowledgement sent to Stefan Kangas <stefan@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#37837; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 17 Nov 2019 10:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.